

**** Step 1: Estimate kernel densities
use ///
	cve_mun IDH_polygon RCT_status survivor* entrant* exiter* sector e17 exists* size_* ///
		ingresos_act_W2* activos_fijos_W2* salarios_W2* ///
		personal_remun2_W2* ///
using "${insumosdir}\\${mainfile}", clear


***Convert variables to logs
local varss "ingresos_act_W activos_fijos_W salarios_W"
foreach r of local varss {
	replace `r'2008=ln(`r'2008)
}


**Generate kernel densities w/o tails at 2% each side
	** 200 data points, gaussian
local varlistA "ingresos_act_W activos_fijos_W salarios_W"
foreach t of local varlistA {
	xtile tempie=`t'2008, nq(100)
	kdensity `t'2008 if (tempie>3 & tempie<97), kernel(gaussian) n(200) nograph generate(x_`t' yAll_`t')
	kdensity `t'2008 if (tempie>3 & tempie<97) & RCT_status!=., kernel(gaussian) at(x_`t') nograph generate(x_todrop yHabitat_`t')
	drop tempie x_todrop
	local tokeep "`tokeep' x_`t' yAll_`t' yHabitat_`t'"
}

keep `tokeep'
drop if _n>200
compress

export excel using "F2 Densities.xlsx", firstrow(var) replace

**** Step 2: Create workers histogram

*Habitat areas
use ///
	cve_mun IDH_polygon RCT_status survivor* entrant* exiter* sector e17 exists* size_* ///
		personal_remun2_W2* ///
using "${insumosdir}\\${mainfile}", clear

keep if RCT_status!=.
keep personal_remun2_W2008
drop if personal_remun2_W2008==.

*Merge all firms with 6 or more paid employees into single category
replace personal_remun2_W2008=6 if personal_remun2_W2008>6
tostring personal_remun2_W2008, replace
gen nobs=1
collapse (sum) nobs, by(personal_remun2_W2008)
rename nobs Habitat
rename personal_remun2_W2008 L
sort L
compress

save "tempietempie.dta", replace

*Whole city
use ///
	cve_mun IDH_polygon RCT_status survivor* entrant* exiter* sector e17 exists* size_* ///
		personal_remun2_W2* ///
using "${insumosdir}\\${mainfile}", clear

keep personal_remun2_W2008
drop if personal_remun2_W2008==.

*Merge all firms with 6 or more paid employees into single category
replace personal_remun2_W2008=20 if personal_remun2_W2008>20
tostring personal_remun2_W2008, replace
gen nobs=1
collapse (sum) nobs, by(personal_remun2_W2008)
rename nobs AllCity
rename personal_remun2_W2008 L
sort L
compress

merge L using "tempietempie.dta"
drop _merge
erase "tempietempie.dta"

sort L

local varsz "Habitat AllCity"
foreach vvar of local varsz {
	egen tots`vvar'=total(`vvar')
	replace `vvar'=100*`vvar'/tots`vvar'
	drop tots`vvar'
}
compress

export excel using "F2 Histogram.xlsx", firstrow(var) replace



