
**Declaring globals

**Folders
capture sysdir set PERSONAL "Z:\Procesamiento\Trabajo\custom commands"
global maindir "Z:\Procesamiento\Trabajo"
global workdir "Z:\Procesamiento\Trabajo\Codigo2020"
global resdirtemptemp "Z:\Resultados"

global insumosdir "Z:\Procesamiento\Insumos\Censos Economicos"
global file09 "Insumo2009.dta"
global file14 "Insumo2014.dta"
global file19 "Insumo2019.dta"

**Current date (for new folder creation)
global cyear=substr(c(current_date),-4,.)
global cmonth=substr(c(current_date),4,3)
if real(substr(c(current_date),1,2))<10 {
	global cday="0"+substr(c(current_date),2,1)
}
else {
	global cday=substr(c(current_date),1,2)
}

if "$cmonth"=="Jan" global cmonth="01"
else if "$cmonth"=="Feb" global cmonth="02"
else if "$cmonth"=="Mar" global cmonth="03"
else if "$cmonth"=="Apr" global cmonth="04"
else if "$cmonth"=="May" global cmonth="05"
else if "$cmonth"=="Jun" global cmonth="06"
else if "$cmonth"=="Jul" global cmonth="07"
else if "$cmonth"=="Aug" global cmonth="08"
else if "$cmonth"=="Sep" global cmonth="09"
else if "$cmonth"=="Oct" global cmonth="10"
else if "$cmonth"=="Nov" global cmonth="11"
else if "$cmonth"=="Dec" global cmonth="12"


**Setting spillover areas and definitions
#delimit ;

	global carea1 "(RCT_status!=. | RCT_status==.)";	global tarea1 "All areas";
	global carea2 "RCT_status!=.";	global tarea2 "Habitat";
	global carea3 "RCT_status==.";	global tarea3 "Other areas"; 

	global csector1 "sector!=.";	global tsector1 "All sectors";
	global csector2 "sector==1";	global tsector2 "Manufacturing";
	global csector3 "sector!=1";	global tsector3 "Commerce and Services";

	global stime1=2008;	global etime1=2013;
	global stime2=2013;	global etime2=2018;
	global stime3=2008;	global etime3=2018;

	global bnameD "Doughnut";	global babrevD "bD";
	global tnamD "Dissolved";	global tabrevD "tD";

	global tcoverageO "BufferOnly";
		
	global buffsel_DDO_100m "(((allD_b100m_D>0 & allD_b100m_D!=.)) & RCT_status==.)";
	global buffsel_DDO_250m "(((allD_b250m_D>0 & allD_b250m_D!=.)) & RCT_status==.)";
	global buffsel_DDO_500m "(((allD_b500m_D>0 & allD_b500m_D!=.)) & RCT_status==.)";
	global buffsel_DDO_1km "(((allD_b1km_D>0 & allD_b1km_D!=.)) & RCT_status==.)";
	global buffsel_DDO_5km "(((allD_b5km_D>0 & allD_b5km_D!=.)) & RCT_status==.)";

	global varselect_DDO_100m "allD_b100m_D treatD_b100m_D";
	global varselect_DDO_250m "allD_b250m_D treatD_b250m_D";
	global varselect_DDO_500m "allD_b500m_D treatD_b500m_D";
	global varselect_DDO_1km "allD_b1km_D treatD_b1km_D";
	global varselect_DDO_5km "allD_b5km_D treatD_b5km_D";
	
	global clusterselect_A "ageblev";	global clustername_A "AGEB";
	
	global interactcomm1 " "; global interacttitle1 "No interaction";
	global interactcomm2 "pobtot_treat pobtot_adj_street_z"; global interacttitle2 "Population Density";
	global interactcomm3 "wealth_treat wealth_adj_street_z"; global interacttitle3 "Wealth index";
	global interactcomm4 "areapolm_treat areapolm"; global interacttitle4 "Polygon size";
	global interactcomm5 "dist_transport_z_treat dist_transport_z"; global interacttitle5 "Access to transport";

#delimit cr
