clear

global maindir "C:\Users\luisf\OneDrive\Documents\WB\Stata\Habitat\2020 project relaunch\CensoPob\"
cd "${maindir}"

local states "02 04 05 07 08 09 11 12 14 15 16 17 19 21 23 25 26 28 30 31"
foreach estado of local states {

	import delimited "${maindir}\censo2010\resultados_ageb_urbana_`estado'_cpv2010\conjunto_de_datos\resultados_ageb_urbana_`estado'_cpv2010.csv", clear
	
	tostring ïentidad, g(cve_estado)
	replace cve_estado="0"+cve_estado if ïentidad<10
	
	tostring mun, g(cve_mun)
	replace cve_mun="00"+cve_mun if mun<10
	replace cve_mun="0"+cve_mun if mun>=10 & mun<100
	assert length(cve_mun)==3
	
	tostring loc, g(cve_loc)
	replace cve_loc="000"+cve_loc if loc<10
	replace cve_loc="00"+cve_loc if loc>=10 & loc<100
	replace cve_loc="0"+cve_loc if loc>=100 & loc<1000
	assert length(cve_loc)==4
	
	gen cve_ageb=ageb
	replace cve_ageb="000"+ageb if length(cve_ageb)==1
	replace cve_ageb="00"+ageb if length(cve_ageb)==2
	replace cve_ageb="0"+ageb if length(cve_ageb)==3
	assert length(cve_ageb)==4
	
	tostring mza, g(cve_mza)
	replace cve_mza="00"+cve_mza if mza<10
	replace cve_mza="0"+cve_mza if mza>=10 & mza<100
	assert length(cve_mza)==3
	
	gen cve_agebmza=cve_estado+cve_mun+cve_loc+cve_ageb+cve_mza
	assert length(cve_agebmza)==16

	*drop prom_hnv prom_ocup pro_ocup_c graproes graproes_m graproes_f rel_h_m
	*keep cve_agebmza pobtot pobfem pobmas rel_h_m pnacent pnacoe pres2015 presoe15 pea pea_f pea_m pe_inac pe_inac_f pe_inac_m pocupada pocupada_f pocupada_m pdesocup pdesocup_f pdesocup_m psinder pder_ss
	order cve_agebmza //pobtot pobfem pobmas rel_h_m pnacent pnacoe pres2015 presoe15 pea pea_f pea_m pe_inac pe_inac_f pe_inac_m pocupada pocupada_f pocupada_m pdesocup pdesocup_f pdesocup_m psinder pder_ss
	drop ïentidad cve_estado nom_ent mun cve_mun nom_mun loc cve_loc nom_loc ageb mza cve_ageb cve_mza
	compress
	save "tempie2010`estado'.dta", replace
}

local states "02 04 05 07 08 09 11 12 14 15 16 17 19 21 23 25 26 28 30 31"
foreach estado of local states {
	if "`estado'"=="02" {
		use "tempie2010`estado'.dta", clear
	}
	else {
		append using "tempie2010`estado'.dta"
	}
	erase "tempie2010`estado'.dta"
}

gen cve_localidad=substr(cve_agebmza,1,9)
sort cve_localidad
merge cve_localidad using "C:\Users\luisf\OneDrive\Documents\WB\Stata\Habitat\2020 project relaunch\Mock desktop\Procesamiento\Trabajo\Codigo2020\Localidades in Habitat.dta" 
tab _merge
drop if _merge!=3
drop _merge

order cve_localidad, after(cve_agebmza)
compress

rename pres2005 presm5
rename pres2005_m presm5_m
rename pres2005_f presm5_f
rename presoe05 presoem5
rename presoe05_m presoem5_m
rename presoe05_f presoem5_f

local llist "vph_aeasp vph_tinaco vph_cister vph_letr vph_ndeaed vph_dsadma vph_ndacmm vph_hmicro vph_moto vph_bici vph_stvp vph_spmvpi vph_cvj vph_sinrtv vph_sinltc vph_sincint vph_sintic pob_afro pob_afro_f pob_afro_m pcon_disc pcdisc_mot pcdisc_vis pcdisc_leng pcdisc_aud pcdisc_mot2 pcdisc_men pcon_limi pclim_csb pclim_vis pclim_haco pclim_oaud pclim_mot2 pclim_re_co pclim_pmen psind_lim pder_imss pder_iste pder_istee pafil_pdom pder_segp pder_imssb pafil_ipriv pafil_otrai pcatolica pro_crieva potras_rel psin_relig pcon_lim pclim_mot pclim_leng pclim_aud pclim_men pclim_men2 psin_lim pncatolica"
foreach x of local llist {
	capture drop `x'*
}

save "CE2010_agebOpenData(selectedvars).dta", replace



local states "02 04 05 07 08 09 11 12 14 15 16 17 19 21 23 25 26 28 30 31"
foreach estado of local states {
	import delimited "${maindir}\censo2020\ageb_mza_urbana_`estado'_cpv2020\conjunto_de_datos\conjunto_de_datos_ageb_urbana_`estado'_cpv2020.csv", clear
	
	tostring ïentidad, g(cve_estado)
	replace cve_estado="0"+cve_estado if ïentidad<10
	
	tostring mun, g(cve_mun)
	replace cve_mun="00"+cve_mun if mun<10
	replace cve_mun="0"+cve_mun if mun>=10 & mun<100
	assert length(cve_mun)==3
	
	tostring loc, g(cve_loc)
	replace cve_loc="000"+cve_loc if loc<10
	replace cve_loc="00"+cve_loc if loc>=10 & loc<100
	replace cve_loc="0"+cve_loc if loc>=100 & loc<1000
	assert length(cve_loc)==4
	
	gen cve_ageb=ageb
	replace cve_ageb="000"+ageb if length(cve_ageb)==1
	replace cve_ageb="00"+ageb if length(cve_ageb)==2
	replace cve_ageb="0"+ageb if length(cve_ageb)==3
	assert length(cve_ageb)==4
	
	tostring mza, g(cve_mza)
	replace cve_mza="00"+cve_mza if mza<10
	replace cve_mza="0"+cve_mza if mza>=10 & mza<100
	assert length(cve_mza)==3
	
	gen cve_agebmza=cve_estado+cve_mun+cve_loc+cve_ageb+cve_mza
	assert length(cve_agebmza)==16

	*drop pro_ocup prom_hnv prom_ocup graproes graproes_f graproes_m rel_h_m
	*keep cve_agebmza pobtot pobfem pobmas rel_h_m pnacent pnacoe pres2015 presoe15 pea pea_f pea_m pe_inac pe_inac_f pe_inac_m pocupada pocupada_f pocupada_m pdesocup pdesocup_f pdesocup_m psinder pder_ss
	order cve_agebmza //pobtot pobfem pobmas rel_h_m pnacent pnacoe pres2015 presoe15 pea pea_f pea_m pe_inac pe_inac_f pe_inac_m pocupada pocupada_f pocupada_m pdesocup pdesocup_f pdesocup_m psinder pder_ss
	drop ïentidad cve_estado nom_ent mun cve_mun nom_mun loc cve_loc nom_loc ageb mza cve_ageb cve_mza
	compress
	save "tempie2020`estado'.dta", replace
}

local states "02 04 05 07 08 09 11 12 14 15 16 17 19 21 23 25 26 28 30 31"
foreach estado of local states {
	if "`estado'"=="02" {
		use "tempie2020`estado'.dta", clear
	}
	else {
		append using "tempie2020`estado'.dta"
	}
	erase "tempie2020`estado'.dta"
}


gen cve_localidad19=substr(cve_agebmza,1,9)
sort cve_localidad19
merge cve_localidad19 using "C:\Users\luisf\OneDrive\Documents\WB\Stata\Habitat\2020 project relaunch\Mock desktop\Procesamiento\Trabajo\Codigo2020\Localidades in Habitat19.dta" 
tab _merge
drop if _merge!=3
drop _merge

order cve_localidad19, after(cve_agebmza)
compress

rename pres2015 presm5
rename pres2015_m presm5_m
rename pres2015_f presm5_f
rename presoe15 presoem5
rename presoe15_m presoem5_m
rename presoe15_f presoem5_f

local llist "vph_aeasp vph_tinaco vph_cister vph_letr vph_ndeaed vph_dsadma vph_ndacmm vph_hmicro vph_moto vph_bici vph_stvp vph_spmvpi vph_cvj vph_sinrtv vph_sinltc vph_sincint vph_sintic pob_afro pob_afro_f pob_afro_m pcon_disc pcdisc_mot pcdisc_vis pcdisc_leng pcdisc_aud pcdisc_mot2 pcdisc_men pcon_limi pclim_csb pclim_vis pclim_haco pclim_oaud pclim_mot2 pclim_re_co pclim_pmen psind_lim pder_imss pder_iste pder_istee pafil_pdom pder_segp pder_imssb pafil_ipriv pafil_otrai pcatolica pro_crieva potras_rel psin_relig pcon_lim pclim_mot pclim_leng pclim_aud pclim_men pclim_men2 psin_lim pncatolica"
foreach x of local llist {
	capture drop `x'*
}

save "CE2020_agebOpenData(selectedvars).dta", replace


use "CE2020_agebOpenData(selectedvars).dta", clear
gen cve_ageb=substr(cve_agebmza,1,13), after(cve_agebmza)

capture drop tipo
drop *15a49*

ds
local a=r(varlist)
local b cve_agebmza cve_localidad19 cve_ageb
local vars: list a-b

sort cve_agebmza
merge cve_agebmza using "C:\Users\luisf\OneDrive\Documents\WB\Stata\Habitat\2020 project relaunch\Mock desktop\Procesamiento\Trabajo\Codigo2020\Manzanas habitat 2019(NEW).dta" 
tab _merge
tab RCT_status _merge
drop _merge
gen cve_mun=substr(cve_localidad19,1,5), after(cve_localidad19)
drop if cve_mun=="" | IDH_polygon==""

foreach vari of local vars {
	destring `vari', replace force
}

local allvars " "
foreach vari of local vars {
	local allvars "`allvars' `vari'"
}

keep `allvars' cve_mun cve_localidad cve_ageb cve_agebmza IDH_polygon RCT_status

preserve
	do "DoFileCensoPob 2022-09-12Aux1(relvars).do"

	compress
	save "CE2020_mzaRaw.dta", replace
restore

local flist "pobtot pobfem pobmas ocupvivpar"

preserve
	sort IDH_polygon
	foreach x of local flist {
		by IDH_polygon: egen w_`x'=total(`x')
		replace w_`x'=`x'/w_`x'
	}
	sum w_*

	replace graproes=graproes*w_pobtot
	replace graproes_f=graproes_f*w_pobfem
	replace graproes_m=graproes_m*w_pobmas
	replace pro_ocup_c=pro_ocup_c*w_ocupvivpar
	replace prom_hnv=prom_hnv*w_pobtot
	replace prom_ocup=prom_ocup*w_ocupvivpar
	replace rel_h_m=rel_h_m*w_pobtot

	drop w_pobtot w_pobfem w_pobmas w_ocupvivpar

	drop cve_localidad cve_ageb cve_agebmza
	collapse (sum) `allvars', by(cve_mun IDH_polygon RCT_status)
	
	do "DoFileCensoPob 2022-09-12Aux1(relvars).do"

	compress
	save "CE2020_polygonRaw.dta", replace
restore

foreach x of local allvars {
	sum `x', detail
	replace `x'=r(p99) if `x'>r(p99) & `x'!=.
}

preserve
	do "DoFileCensoPob 2022-09-12Aux1(relvars).do"
	
	compress
	save "CE2020_mzaW99.dta", replace
restore

preserve
	sort IDH_polygon
	foreach x of local flist {
		by IDH_polygon: egen w_`x'=total(`x')
		replace w_`x'=`x'/w_`x'
	}
	sum w_*

	replace graproes=graproes*w_pobtot
	replace graproes_f=graproes_f*w_pobfem
	replace graproes_m=graproes_m*w_pobmas
	replace pro_ocup_c=pro_ocup_c*w_ocupvivpar
	replace prom_hnv=prom_hnv*w_pobtot
	replace prom_ocup=prom_ocup*w_ocupvivpar
	replace rel_h_m=rel_h_m*w_pobtot

	drop w_pobtot w_pobfem w_pobmas w_ocupvivpar

	drop cve_localidad cve_ageb cve_agebmza
	collapse (sum) `allvars', by(cve_mun IDH_polygon RCT_status)

	do "DoFileCensoPob 2022-09-12Aux1(relvars).do"

	compress
	save "CE2020_polygonW99.dta", replace
restore



use "CE2010_agebOpenData(selectedvars).dta", clear
gen cve_ageb=substr(cve_agebmza,1,13), after(cve_agebmza)

capture drop tipo
drop *15a49*

ds
local a=r(varlist)
local b cve_agebmza cve_localidad cve_ageb
local vars: list a-b

display "`vars'"

sort cve_agebmza
merge cve_agebmza using "C:\Users\luisf\OneDrive\Documents\WB\Stata\Habitat\2020 project relaunch\Mock desktop\Procesamiento\Trabajo\Codigo2020\Manzanas habitat 2009(NEW).dta" 
tab _merge
tab RCT_status _merge
drop _merge
gen cve_mun=substr(cve_localidad,1,5), after(cve_localidad)
drop if cve_mun=="" | IDH_polygon==""

foreach vari of local vars {
	destring `vari', replace force
}

local allvars " "
foreach vari of local vars {
	local allvars "`allvars' `vari'"
}

keep `allvars' cve_mun cve_localidad cve_ageb cve_agebmza IDH_polygon RCT_status

preserve
	do "DoFileCensoPob 2022-09-12Aux1(relvars).do"

	compress
	save "CE2010_mzaRaw.dta", replace
restore

preserve
	sort IDH_polygon
	foreach x of local flist {
		by IDH_polygon: egen w_`x'=total(`x')
		replace w_`x'=`x'/w_`x'
	}
	sum w_*

	replace graproes=graproes*w_pobtot
	replace graproes_f=graproes_f*w_pobfem
	replace graproes_m=graproes_m*w_pobmas
	replace pro_ocup_c=pro_ocup_c*w_ocupvivpar
	replace prom_hnv=prom_hnv*w_pobtot
	replace prom_ocup=prom_ocup*w_ocupvivpar
	replace rel_h_m=rel_h_m*w_pobtot

	drop w_pobtot w_pobfem w_pobmas w_ocupvivpar
	
	drop cve_localidad cve_ageb cve_agebmza
	collapse (sum) `allvars', by(cve_mun IDH_polygon RCT_status)
	drop if cve_mun=="" | IDH_polygon==""

	do "DoFileCensoPob 2022-09-12Aux1(relvars).do"

	compress
	save "CE2010_polygonRaw.dta", replace
restore 

foreach x of local allvars {
	sum `x', detail
	replace `x'=r(p99) if `x'>r(p99) & `x'!=.
}

preserve
	do "DoFileCensoPob 2022-09-12Aux1(relvars).do"

	compress
	save "CE2010_mzaW99.dta", replace
restore

preserve
	sort IDH_polygon
	foreach x of local flist {
		by IDH_polygon: egen w_`x'=total(`x')
		replace w_`x'=`x'/w_`x'
	}
	sum w_*

	replace graproes=graproes*w_pobtot
	replace graproes_f=graproes_f*w_pobfem
	replace graproes_m=graproes_m*w_pobmas
	replace pro_ocup_c=pro_ocup_c*w_ocupvivpar
	replace prom_hnv=prom_hnv*w_pobtot
	replace prom_ocup=prom_ocup*w_ocupvivpar
	replace rel_h_m=rel_h_m*w_pobtot

	drop w_pobtot w_pobfem w_pobmas w_ocupvivpar
	
	drop cve_localidad cve_ageb cve_agebmza
	collapse (sum) `allvars', by(cve_mun IDH_polygon RCT_status)
	drop if cve_mun=="" | IDH_polygon==""

	do "DoFileCensoPob 2022-09-12Aux1(relvars).do"

	compress
	save "CE2010_polygonW99.dta", replace
restore 


use "CE2010_mzaRaw.dta", clear
gen year=2010
capture drop IDH_manzana
capture drop nobs_localidad*
save "temp2010.dta", replace

use "CE2020_mzaRaw.dta", clear
capture drop IDH_manzana
capture drop nobs_localidad*
capture rename cve_localidad19 cve_localidad
gen year=2020
save "temp2020.dta", replace

use "temp2010.dta", clear
erase "temp2010.dta"
append using "temp2020.dta"
erase "temp2020.dta"

ds
local a=r(varlist)
local b cve_agebmza year
local vars: list a-b

reshape wide `vars', i(cve_agebmza) j(year)
br

gen cve_ageb=cve_ageb2010, before(cve_ageb2010)
replace cve_ageb=cve_ageb2020 if cve_ageb=="" & cve_ageb2020!=""
drop cve_ageb2010 cve_ageb2020

gen cve_localidad=cve_localidad2010, before(cve_localidad2010)
replace cve_localidad=cve_localidad2020 if cve_localidad=="" & cve_localidad2020!=""
drop cve_localidad2010 cve_localidad2020

gen cve_mun=cve_mun2010, before(cve_mun2010)
replace cve_mun=cve_mun2020 if cve_mun=="" & cve_mun2020!=""
drop cve_mun2010 cve_mun2020

gen IDH_polygon=IDH_polygon2010, before(IDH_polygon)
replace IDH_polygon=IDH_polygon2020 if IDH_polygon=="" & IDH_polygon2020!=""
drop IDH_polygon2010 IDH_polygon2020

gen RCT_status=RCT_status2010, before(RCT_status2010)
replace RCT_status=RCT_status2020 if RCT_status==. & RCT_status2020!=.
drop RCT_status2010 RCT_status2020

sort IDH_polygon 
merge IDH_polygon using "C:\Users\luisf\OneDrive\Documents\WB\Stata\Habitat\2020 project relaunch\Mock desktop\Procesamiento\Trabajo\Codigo2020\PolygonDummiesV3.dta" 
tab _merge
assert _merge==3
drop if _merge!=3

rename IDH_polygon IDH_polygonSTR
egen IDH_polygon=group(IDH_polygonSTR)
sum IDH_polygon 

egen idMUN=group(cve_mun)
assert idMUN!=. //if _merge!=2
drop _merge

compress

do "DoFileCensoPob 2022-09-12Aux2(labels).do"

save "CensosPob_mzaRaw.dta", replace





use "CE2010_mzaW99.dta", clear
gen year=2010
capture drop IDH_manzana
capture drop nobs_localidad*
save "temp2010.dta", replace

use "CE2020_mzaW99.dta", clear
capture drop IDH_manzana
capture drop nobs_localidad*
capture rename cve_localidad19 cve_localidad
gen year=2020
save "temp2020.dta", replace

use "temp2010.dta", clear
erase "temp2010.dta"
append using "temp2020.dta"
erase "temp2020.dta"

ds
local a=r(varlist)
local b cve_agebmza year
local vars: list a-b

reshape wide `vars', i(cve_agebmza) j(year)
br

gen cve_ageb=cve_ageb2010, before(cve_ageb2010)
replace cve_ageb=cve_ageb2020 if cve_ageb=="" & cve_ageb2020!=""
drop cve_ageb2010 cve_ageb2020

gen cve_localidad=cve_localidad2010, before(cve_localidad2010)
replace cve_localidad=cve_localidad2020 if cve_localidad=="" & cve_localidad2020!=""
drop cve_localidad2010 cve_localidad2020

gen cve_mun=cve_mun2010, before(cve_mun2010)
replace cve_mun=cve_mun2020 if cve_mun=="" & cve_mun2020!=""
drop cve_mun2010 cve_mun2020

gen IDH_polygon=IDH_polygon2010, before(IDH_polygon)
replace IDH_polygon=IDH_polygon2020 if IDH_polygon=="" & IDH_polygon2020!=""
drop IDH_polygon2010 IDH_polygon2020

gen RCT_status=RCT_status2010, before(RCT_status2010)
replace RCT_status=RCT_status2020 if RCT_status==. & RCT_status2020!=.
drop RCT_status2010 RCT_status2020

sort IDH_polygon 
merge IDH_polygon using "C:\Users\luisf\OneDrive\Documents\WB\Stata\Habitat\2020 project relaunch\Mock desktop\Procesamiento\Trabajo\Codigo2020\PolygonDummiesV3.dta" 
tab _merge
assert _merge==3
drop if _merge!=3

rename IDH_polygon IDH_polygonSTR
egen IDH_polygon=group(IDH_polygonSTR)
sum IDH_polygon 

egen idMUN=group(cve_mun)
assert idMUN!=. //if _merge!=2
drop _merge

compress

do "DoFileCensoPob 2022-09-12Aux2(labels).do"

save "CensosPob_mzaW99.dta", replace






use "CE2010_polygonRaw.dta", clear
gen year=2010
capture drop IDH_manzana
capture drop nobs_localidad*
save "temp2010.dta", replace

use "CE2020_polygonRaw.dta", clear
gen year=2020
capture drop IDH_manzana
capture drop nobs_localidad*
capture rename cve_localidad19 cve_localidad
save "temp2020.dta", replace

use "temp2010.dta", clear
erase "temp2010.dta"
append using "temp2020.dta"
erase "temp2020.dta"

ds
local a=r(varlist)
local b IDH_polygon year
local vars: list a-b

reshape wide `vars', i(IDH_polygon) j(year)
br

gen cve_mun=cve_mun2010, before(cve_mun2010)
replace cve_mun=cve_mun2020 if cve_mun=="" & cve_mun2020!=""
drop cve_mun2010 cve_mun2020

gen RCT_status=RCT_status2010, before(RCT_status2010)
replace RCT_status=RCT_status2020 if RCT_status==. & RCT_status2020!=.
drop RCT_status2010 RCT_status2020

sort IDH_polygon 
merge IDH_polygon using "C:\Users\luisf\OneDrive\Documents\WB\Stata\Habitat\2020 project relaunch\Mock desktop\Procesamiento\Trabajo\Codigo2020\PolygonDummiesV3.dta" 
tab _merge
assert _merge==3
drop if _merge!=3

rename IDH_polygon IDH_polygonSTR
egen IDH_polygon=group(IDH_polygonSTR)
sum IDH_polygon 

egen idMUN=group(cve_mun)
assert idMUN!=. //if _merge!=2
drop _merge

compress

do "DoFileCensoPob 2022-09-12Aux2(labels).do"

save "CensosPob_polygonRaw.dta", replace





use "CE2010_polygonW99.dta", clear
gen year=2010
capture drop IDH_manzana
capture drop nobs_localidad*
save "temp2010.dta", replace

use "CE2020_polygonW99.dta", clear
gen year=2020
capture drop IDH_manzana
capture drop nobs_localidad*
capture rename cve_localidad19 cve_localidad
save "temp2020.dta", replace

use "temp2010.dta", clear
erase "temp2010.dta"
append using "temp2020.dta"
erase "temp2020.dta"

ds
local a=r(varlist)
local b IDH_polygon year
local vars: list a-b

reshape wide `vars', i(IDH_polygon) j(year)
br

gen cve_mun=cve_mun2010, before(cve_mun2010)
replace cve_mun=cve_mun2020 if cve_mun=="" & cve_mun2020!=""
drop cve_mun2010 cve_mun2020

gen RCT_status=RCT_status2010, before(RCT_status2010)
replace RCT_status=RCT_status2020 if RCT_status==. & RCT_status2020!=.
drop RCT_status2010 RCT_status2020

sort IDH_polygon 
merge IDH_polygon using "C:\Users\luisf\OneDrive\Documents\WB\Stata\Habitat\2020 project relaunch\Mock desktop\Procesamiento\Trabajo\Codigo2020\PolygonDummiesV3.dta" 
tab _merge
assert _merge==3
drop if _merge!=3

rename IDH_polygon IDH_polygonSTR
egen IDH_polygon=group(IDH_polygonSTR)
sum IDH_polygon 

egen idMUN=group(cve_mun)
assert idMUN!=. //if _merge!=2
drop _merge

compress

do "DoFileCensoPob 2022-09-12Aux2(labels).do"

save "CensosPob_polygonW99.dta", replace

erase "CE2010_mzaRaw.dta"
erase "CE2010_mzaW99.dta"
erase "CE2020_mzaRaw.dta"
erase "CE2020_mzaW99.dta"

erase "CE2010_polygonRaw.dta"
erase "CE2010_polygonW99.dta"
erase "CE2020_polygonRaw.dta"
erase "CE2020_polygonW99.dta"

erase "CE2010_agebOpenData(selectedvars).dta"
erase "CE2020_agebOpenData(selectedvars).dta"
