
capture erase "T10 Saturation Regs.xls"
capture erase "T10 Saturation Regs.txt"

use ///
	IDH_polygon cve_mun ///
	if (IDH_polygon!="" & cve_mun!="") ///
using "${insumosdir}\\${mainfile}", clear

duplicates drop
sort IDH_polygon
merge IDH_polygon using "${supportdir}\\SaturationData(2021-11-23)Luis.dta"
display as error "doublecheck initiation saturation"
assert _merge==3
drop _merge
drop IDH_polygon
duplicates drop
sort cve_mun
compress
save "tempie tempie saturation municipsv1.dta", replace

use ///
	cve_ageb RCT_status ///
	if (RCT_status!=. & cve_ageb!="") ///
using "${insumosdir}\\${mainfile}", clear

drop RCT_status
duplicates drop
sort cve_ageb
compress
save "tempie tempie to exclude agebsv1.dta", replace

forv w=1/3 {
	use cve_mun cve_ageb RCT_status sector exists* ///
		personal_remun2_W2008 activos_fijos_W2008 salarios_W2008 ingresos_act_W2008 VA_W2008 segsog_W2008 ///
		personal_remun2_W2013 activos_fijos_W2013 salarios_W2013 ingresos_act_W2013 VA_W2013 segsog_W2013 ///
		personal_remun2_W2018 activos_fijos_W2018 salarios_W2018 ingresos_act_W2018 VA_W2018 segsog_W2018 ///
		if RCT_status==. & ${csector`w'} & cve_ageb!="" & cve_mun!="" ///
	using "${insumosdir}\\${mainfile}", clear

	sort cve_ageb
	merge cve_ageb using "tempie tempie to exclude agebsv1.dta"
	keep if _merge==1
	drop _merge

	collapse (mean) 	///
		personal_remun2_W2008 activos_fijos_W2008 salarios_W2008 ingresos_act_W2008 VA_W2008 segsog_W2008 ///
		personal_remun2_W2013 activos_fijos_W2013 salarios_W2013 ingresos_act_W2013 VA_W2013 segsog_W2013 ///
		personal_remun2_W2018 activos_fijos_W2018 salarios_W2018 ingresos_act_W2018 VA_W2018 segsog_W2018 ///
		exists2008 exists2013 exists2018, ///
	by(cve_ageb cve_mun)

	capture drop _merge
	sort cve_mun
	merge cve_mun using "tempie tempie saturation municipsv1.dta"
	display as error "doublecheck saturation in mainfile"
	keep if _merge==3
	drop _merge

	local varlistA "ingresos_act_W activos_fijos_W personal_remun2_W salarios_W VA_W segsog_W"

	egen idAGEB=group(cve_ageb)
	capture drop if idAGEB==.

	egen idMUN=group(cve_mun)
	capture drop if idMUN==.

	foreach q in 1 3 {
		foreach z of local varlistA {
			gen lagVAR=`z'${stime`q'}
			label variable lagVAR "meanpolygonbaseline"

			capture scalar drop controlmean_scalar
			capture matrix drop controlmean_matrix
			capture reg `z'${etime`q'} if (exists2008!=0 & exists2008!=.), robust
			if _rc==0 {
				matrix controlmean_matrix=get(_b)
				scalar controlmean_scalar=controlmean_matrix[1,1]
				local controlmean_local=scalar(controlmean_scalar)

				*Run main regression
				capture noisily reg `z'${etime`q'} saturation lagVAR if e(sample), cluster(idMUN)
				outreg2 using "T10 Saturation Regs.xls", append label excel dec(3) nor2 cttop(${tsector`w'},${stime`q'}-${etime`q'}) keep(saturation) adds("Control mean", `controlmean_local')
			}
			drop lagVAR
		}
	}
}

capture erase "T10 Saturation Regs.txt"

erase "tempie tempie saturation municipsv1.dta"
erase "tempie tempie to exclude agebsv1.dta"






