
use ///
	cve_mun IDH_polygon RCT_status survivor* entrant* exiter* sector e17 exists* size_* ///
		loan_r_* account_r_* computer_r_* internet_r_* ///
	if RCT_status!=. ///
using "${insumosdir}\\${mainfile}", clear

local varlistA "loan_r_ account_r_ computer_r_ internet_r_"		//Local with vars for regression

keep if sector!=.

capture erase "T6 Access finance and tech regs.txt"
capture erase "T6 Access finance and tech regs.xls"

foreach q in 1 3 {
	*Set loop for variables to analyse
	foreach z of local varlistA {
		** Loop through sectors
		forv w=1/3 {
			*Entrants
			capture scalar drop controlmean_scalar
			capture matrix drop controlmean_matrix
			capture reg `z'${etime`q'} control if entrant${stime`q'}${etime`q'}==1 & exists${etime`q'}==1 & ${csector`w'}, robust noconstant
			if _rc==0 {
				matrix controlmean_matrix=get(_b)
				scalar controlmean_scalar=controlmean_matrix[1,1]
				local controlmean_local=scalar(controlmean_scalar)

					*b. Run main regression
				capture noisily reg `z'${etime`q'} RCT_status size_* i.idMUN if e(sample), cluster(IDH_polygon)
				outreg2 using "T6 Access finance and tech regs.xls", append label excel dec(3) nocons nor2 cttop(Entrant,${tsector`w'}) keep(RCT_status) adds("Control mean", `controlmean_local')
			}

			*All firms and surviving firms
			*Estimate lagged polygon mean
			capture bys IDH_polygon: egen lagVAR=mean(`z'${stime`q'})
			capture label variable lagVAR "meanpolygonbaseline"

			capture scalar drop controlmean_scalar
			capture matrix drop controlmean_matrix
			capture reg `z'${etime`q'} control if exists${etime`q'}==1 & ${csector`w'}, robust noconstant
			if _rc==0 {
				matrix controlmean_matrix=get(_b)
				scalar controlmean_scalar=controlmean_matrix[1,1]
				local controlmean_local=scalar(controlmean_scalar)

				capture noisily reg `z'${etime`q'} RCT_status lagVAR size_* i.idMUN if e(sample), cluster(IDH_polygon)
				outreg2 using "T6 Access finance and tech regs.xls", append label excel dec(3) nocons nor2 cttop(All firms, ${tsector`w'}) keep(RCT_status) adds("Control mean", `controlmean_local')
			}

			capture scalar drop controlmean_scalar
			capture matrix drop controlmean_matrix
			capture reg `z'${etime`q'} control if (exists${stime`q'}==1 & exists${etime`q'}==1) & survivor${stime`q'}${etime`q'}==1 & ${csector`w'}, robust noconstant
			if _rc==0 {
				matrix controlmean_matrix=get(_b)
				scalar controlmean_scalar=controlmean_matrix[1,1]
				local controlmean_local=scalar(controlmean_scalar)
				
				capture noisily reg `z'${etime`q'} RCT_status lagVAR size_* i.idMUN if e(sample), cluster(IDH_polygon)
				outreg2 using "T6 Access finance and tech regs.xls", append label excel dec(3) nocons nor2 cttop(Survivor, ${tsector`w'}) keep(RCT_status) adds("Control mean", `controlmean_local')
			}
			capture drop lagVAR
		}
	}

	*Erase txt files (undesired output of outreg2 command, xls files suffice)
	capture erase "T6 Access finance and tech regs.txt"
	**************************************************			
}




