
use ///
	cve_mun IDH_polygon RCT_status survivor* entrant* exiter* sector e17 exists* size_* ///
		formal_r_2* formal_s_2* ///
	if RCT_status!=. ///
using "${insumosdir}\\${mainfile}", clear

local varlistA "formal_r_ formal_s_"		//Local with vars for regression

foreach z of local varlistA {
	forv t=2008(5)2018 {
		capture quietly replace `z'`t'=. if exists`t'==.
		capture quietly replace `z'`t'=0 if exists`t'==1 & `z'`t'==.
	}
}

local varlistA "formal_r_ formal_s_"		//Local with vars for regression

capture erase "T7 Formality Regs.txt"
capture erase "T7 Formality Regs.xls"

forv q=1/3 {
	** Loop through sectors

	foreach z of local varlistA {
		forv w=1/3 {
			*4. Run variable-Habitat regressions for entrants
				*a. Get control mean to later include in regression table
			capture scalar drop controlmean_scalar
			capture matrix drop controlmean_matrix
			capture reg `z'${etime`q'} control if entrant${stime`q'}${etime`q'}==1 & exists${etime`q'}==1 & ${csector`w'}, robust noconstant
			if _rc==0 {
				matrix controlmean_matrix=get(_b)
				scalar controlmean_scalar=controlmean_matrix[1,1]
				local controlmean_local=scalar(controlmean_scalar)

					*b. Run main regression
				capture noisily reg `z'${etime`q'} RCT_status size_* i.idMUN if e(sample), cluster(IDH_polygon)
				outreg2 using "T7 Formality Regs.txt", append label excel dec(3) nocons nor2 cttop(Entrant, ${tsector`w'}) keep(RCT_status) adds("Control mean", `controlmean_local')
			}

			*Calculate polygon level mean at baseline (used as a substitute for variable level at baseline (lag))	
			capture bys IDH_polygon: egen lagVAR=mean(`z'${stime`q'}) if ${csector`w'}
			capture label variable lagVAR "meanpolygonbaseline"

			*5. Run ANCOVA regressions for all firms
				*a. Get control mean to later include in regression table
			capture scalar drop controlmean_scalar
			capture matrix drop controlmean_matrix
			capture reg `z'${etime`q'} control if exists${etime`q'}==1 & ${csector`w'}, robust noconstant
			if _rc==0 {
				matrix controlmean_matrix=get(_b)
				scalar controlmean_scalar=controlmean_matrix[1,1]
				local controlmean_local=scalar(controlmean_scalar)

					*b. Run main regression
				capture noisily reg `z'${etime`q'} RCT_status lagVAR size_* i.idMUN if e(sample), cluster(IDH_polygon)
				outreg2 using "T7 Formality Regs.txt", append label excel dec(3) nocons nor2 cttop(All firms, ${tsector`w'}) keep(RCT_status) adds("Control mean", `controlmean_local')
			}

			*6. Run ANCOVA regressions for surviving firms
				*a. Get control mean to later include in regression table
			capture scalar drop controlmean_scalar
			capture matrix drop controlmean_matrix
			capture reg `z'${etime`q'} control if (exists${stime`q'}==1 & exists${etime`q'}==1) & survivor${stime`q'}${etime`q'}==1 & ${csector`w'}, robust noconstant
			if _rc==0 {
				matrix controlmean_matrix=get(_b)
				scalar controlmean_scalar=controlmean_matrix[1,1]
				local controlmean_local=scalar(controlmean_scalar)
				
					*b. Run main regression
				capture noisily reg `z'${etime`q'} RCT_status lagVAR size_* i.idMUN if e(sample), cluster(IDH_polygon)
				outreg2 using "T7 Formality Regs.txt", append label excel dec(3) nocons nor2 cttop(Survivor, ${tsector`w'}) keep(RCT_status) adds("Control mean", `controlmean_local')
			}
			capture drop lagVAR
		}
	}
}

*Erase txt files (undesired output of outreg2 command, xls files suffice)
capture erase "T7 Formality Regs.txt"

**************************************************		




