
use ///
	RCT_status pobtot2010 IDH_polygon idMUN ///
	pobtot pobfem pobmas rp_18ymas graproes rpocupada rp12ym_casa ///
using "CensosPob_polygonW99.dta", clear

gen control=(RCT_status==0) if RCT_status!=., after(RCT_status)

local vars "pobtot pobfem pobmas rp_18ymas graproes rpocupada rp12ym_casa"

capture erase "T8 Residents Regs.xls"
capture erase "T8 Residents Regs.txt"

label variable RCT_status "Habitat"

foreach vari of local vars {
	capture scalar drop aa
	capture matrix drop a
	capture quietly reg `vari'2020 control[aweight=pobtot2010], cluster(IDH_polygon) noconstant
	if _rc==0 {
		matrix a=get(_b)
		scalar aa=a[1,1]
		local aaa=scalar(aa)
		capture noisily reg `vari'2020 RCT_status `vari'2010 i.idMUN [aweight=pobtot2010], cluster(IDH_polygon)
		if _rc==0 {
			outreg2 using "T8 Residents Regs.xls", append label excel dec(3) keep(RCT_status) nocons nor2 bracket(N) cttop(Levels) adds("Control mean", `aaa')
		}
	}

	replace `vari'2010=ln(`vari'2010)
	replace `vari'2020=ln(`vari'2020)

	capture scalar drop aa
	capture matrix drop a
	capture quietly reg `vari'2020 control[aweight=pobtot2010], cluster(IDH_polygon) noconstant
	if _rc==0 {
		matrix a=get(_b)
		scalar aa=a[1,1]
		local aaa=scalar(aa)
		capture noisily reg `vari'2020 RCT_status `vari'2010 i.idMUN [aweight=pobtot2010], cluster(IDH_polygon)
		if _rc==0 {
			outreg2 using "T8 Residents Regs.xls", append label excel dec(3) keep(RCT_status) nocons nor2 bracket(N) cttop(Logs) adds("Control mean", `aaa')
		}
	}
}

capture erase "T8 Residents Regs.txt"

clear
exit, STATA
