
capture erase "TA12 Polygon regs.xls"
capture erase "TA12 Polygon regs.txt"

forv w=1/3 {
	use cve_mun IDH_polygon RCT_status survivor* entrant* exiter* sector exists* e17 ///
		form_K_W2008 personal_remun2_W2008 activos_fijos_W2008 salarios_W2008 ingresos_act_W2008 VA_W2008 segsog_W2008 ///
		form_K_W2013 personal_remun2_W2013 activos_fijos_W2013 salarios_W2013 ingresos_act_W2013 VA_W2013 segsog_W2013 ///
		form_K_W2018 personal_remun2_W2018 activos_fijos_W2018 salarios_W2018 ingresos_act_W2018 VA_W2018 segsog_W2018 ///
		size_* ///
		if RCT_status!=. & ${csector`w'} & ${cstatus`l'} ///
	using "${insumosdir}\\${mainfile}", clear

	capture erase "tempIDspolyToDropW.dta"
	preserve
		keep RCT_status IDH_polygon cve_mun size_*
		duplicates drop IDH_polygon, force
		compress
		sort IDH_polygon
		save "tempIDspolyToDropWA.dta", replace
	restore

	collapse (sum) 	///
		form_K_W2008 personal_remun2_W2008 activos_fijos_W2008 salarios_W2008 ingresos_act_W2008 VA_W2008 segsog_W2008 ///
		form_K_W2013 personal_remun2_W2013 activos_fijos_W2013 salarios_W2013 ingresos_act_W2013 VA_W2013 segsog_W2013 ///
		form_K_W2018 personal_remun2_W2018 activos_fijos_W2018 salarios_W2018 ingresos_act_W2018 VA_W2018 segsog_W2018 ///
		exists2008 exists2013 exists2018, ///
	by(IDH_polygon)

	capture drop _merge
	sort IDH_polygon
	merge IDH_polygon using "tempIDspolyToDropWA.dta"
	erase "tempIDspolyToDropWA.dta"
	
	keep if _merge!=2
	drop _merge

	label variable RCT_status "Habitat"
	gen control=(RCT_status==0) if RCT_status!=.

	rename IDH_polygon IDH_polygonSTR
	egen IDH_polygon=group(IDH_polygonSTR)
	sum IDH_polygon
	egen idMUN=group(cve_mun)
	capture drop if idMUN==.

	local varlistA "ingresos_act_W activos_fijos_W personal_remun2_W salarios_W VA_W segsog_W"

	foreach q in 1 3 {
		foreach z of local varlistA {
			*Calculate polygon level mean at baseline (used as a substitute for variable level at baseline (lag))	
			gen lagVAR=`z'${stime`q'}
			label variable lagVAR "meanpolygonbaseline"

			*5. Run ANCOVA regressions for all firms
				*a. Get control mean to later include in regression table
			capture scalar drop controlmean_scalar
			capture matrix drop controlmean_matrix
			capture reg `z'${etime`q'} control, robust noconstant
			if _rc==0 {
				matrix controlmean_matrix=get(_b)
				scalar controlmean_scalar=controlmean_matrix[1,1]
				local controlmean_local=scalar(controlmean_scalar)

				*b. Run main regression
				capture noisily reg `z'${etime`q'} RCT_status lagVAR size_* i.idMUN if e(sample), cluster(IDH_polygon)
				outreg2 using "TA12 Polygon regs.xls", append label excel dec(3) nocons nor2 cttop(${tsector`w'},unweighted,${stime`q'}-${etime`q'}) keep(RCT_status) adds("Control mean", `controlmean_local')
			}

			capture scalar drop controlmean_scalar
			capture matrix drop controlmean_matrix
			capture reg `z'${etime`q'} control [aweight=exists${stime`q'}], robust noconstant
			matrix controlmean_matrix=get(_b)
			if _rc==0 {
				scalar controlmean_scalar=controlmean_matrix[1,1]
				local controlmean_local=scalar(controlmean_scalar)

				*b. Run main regression
				capture noisily reg `z'${etime`q'} RCT_status lagVAR size_* i.idMUN [aweight=exists${stime`q'}] if e(sample), cluster(IDH_polygon)
				outreg2 using "TA12 Polygon regs.xls", append label excel dec(3) nocons nor2 cttop(${tsector`w'},weighted,${stime`q'}-${etime`q'}) keep(RCT_status) adds("Control mean", `controlmean_local')
			}
			drop lagVAR
		}
	}
}

capture erase "TA12 Polygon regs.txt"










