
use ///
	cve_mun IDH_polygon RCT_status survivor* entrant* exiter* sector e17 exists* size_* ///
		ingresos_act_W2* activos_fijos_W2* salarios_W2* VA_W2* ///
		personal_remun2_W2* ///
	if RCT_status!=. ///
using "${insumosdir}\\${mainfile}", clear

egen idMUN=group(cve_mun)
capture drop _merge
sort IDH_polygon
merge IDH_polygon using "${supportdir}\\SaturationData(2021-11-23)Luis.dta"
drop _merge

rename IDH_polygon IDH_polygonSTR		//Setting Polygon ID var in numeric
egen IDH_polygon=group(IDH_polygonSTR)		//Setting Polygon ID var in numeric
sum IDH_polygon

gen control=(RCT_status==0) if RCT_status!=.	//Creating control group dummy variable (used to estimate control means)
keep if control==1

local varlistA "ingresos_act_W activos_fijos_W salarios_W personal_remun2_W"		//Local with vars for regression

capture erase "TA14 Saturation main.txt"
capture erase "TA14 Saturation main.xls"

foreach q in 1 3 {
	foreach z of local varlistA {
		forv w=1/3 {
			*Calculate polygon level mean at baseline (used as a substitute for variable level at baseline (lag))	
			bys IDH_polygon: egen lagVAR=mean(`z'${stime`q'}) if ${csector`w'}
			label variable lagVAR "meanpolygonbaseline"

			*5. Run ANCOVA regressions for all firms
			capture scalar drop controlmean_scalar
			capture matrix drop controlmean_matrix
			capture reg `z'${etime`q'} if exists${etime`q'}==1 & ${csector`w'}
			if _rc==0 {
				matrix controlmean_matrix=get(_b)
				scalar controlmean_scalar=controlmean_matrix[1,1]
				local controlmean_local=scalar(controlmean_scalar)
				*b. Run main regression
				capture noisily reg `z'${etime`q'} saturation lagVAR size_* if e(sample), cluster(IDH_polygon)
				outreg2 using "TA14 Saturation main.xls", append label excel dec(3) nocons nor2 cttop(All firms,${tsector`w'},${stime`q'}-${etime`q'}) keep(saturation) adds("Control mean", `controlmean_local')
			}
			drop lagVAR
		}
	}
}

capture erase "TA14 Saturation main.txt"