
use ///
	cve_mun IDH_polygon RCT_status survivor* entrant* exiter* sector e17 exists* size_* ///
		ingresos_act_W2* activos_fijos_W2* salarios_W2* ///
		personal_remun2_W2* ///
	if RCT_status!=. ///
using "${insumosdir}\\${mainfile}", clear

local varlistA "ingresos_act_W activos_fijos_W salarios_W personal_remun2_W"		//Local with vars for regression

capture erase "TA4 ExitEntry regs.txt"
capture erase "TA4 ExitEntry regs.xls"

local q=2
forv w=1/3 {

	*1. Run exit status regressions
		*a. Get control mean to later include in regression table
	capture scalar drop controlmean_scalar
	capture matrix drop controlmean_matrix
	capture reg exiter${stime`q'}${etime`q'} control if exists${stime`q'}==1 & ${csector`w'}, robust noconstant
	if _rc==0 {
		matrix controlmean_matrix=get(_b)
		scalar controlmean_scalar=controlmean_matrix[1,1]
		local controlmean_local=scalar(controlmean_scalar)

		*b. Run main regression
		capture noisily reg exiter${stime`q'}${etime`q'} RCT_status size_* i.idMUN if e(sample), cluster(IDH_polygon)
		outreg2 using "TA4 ExitEntry regs.xls", append label excel dec(3) nor2 nocons cttop(Exiter,${tsector`w'},${stime`q'}-${etime`q'}) keep(RCT_status) adds("Control mean", `controlmean_local')
		
	}

	*2. Run entry status regressions
		*a. Get control mean to later include in regression table
	capture scalar drop controlmean_scalar
	capture matrix drop controlmean_matrix
	capture reg entrant${stime`q'}${etime`q'} control if exists${etime`q'}==1 & ${csector`w'}, robust noconstant
	if _rc==0 {
		matrix controlmean_matrix=get(_b)
		scalar controlmean_scalar=controlmean_matrix[1,1]
		local controlmean_local=scalar(controlmean_scalar)
	
		*b. Run main regression
		capture noisily reg entrant${stime`q'}${etime`q'} RCT_status size_* i.idMUN if e(sample), cluster(IDH_polygon)
		outreg2 using "TA4 ExitEntry regs.xls", append label excel dec(3) nor2 nocons cttop(Entrant,${tsector`w'},${stime`q'}-${etime`q'}) keep(RCT_status) adds("Control mean", `controlmean_local')
	}
}


*Erase txt files (undesired output of outreg2 command, xls files suffice)
capture erase "TA4 ExitEntry regs.txt"
**************************************************			