
use ///
	cve_mun IDH_polygon RCT_status survivor* entrant* exiter* sector e17 exists* size_* ///
		ingresos_act_W2* VAPROM3_W2* ///
	if RCT_status!=. ///
using "${insumosdir}\\${mainfile}", clear


local varlistA "ingresos_act_W activos_fijos_W salarios_W personal_remun2_W"		//Local with vars for regression
local heterogen "vapw Y"
local thresh "2550 5075 75100"

label variable RCT_status "Habitat"


capture erase "TA5 Exit heterogeneity.txt"
capture erase "TA5 Exit heterogeneity.xls"

foreach q in 1 3 {

	** Loop through sectors
	forv w=1/3 {

		*1. Run exit status regressions
			*a. Get control mean to later include in regression table
		capture scalar drop controlmean_scalar
		capture matrix drop controlmean_matrix
		local commsamp "if exists${stime`q'}==1 & ${csector`w'}"

		capture drop qvapw
		egen qvapw=xtile(VAPROM3_W${stime`q'}) `commsamp', nq(4) by(tempiee17)

		capture drop qY
		egen qY=xtile(ingresos_act_W${stime`q'}) `commsamp', nq(4) by(tempiee17)

		capture drop qvapw2550
		gen qvapw2550=(qvapw==2 | qvapw==3 | qvapw==4) `commsamp'
		capture drop qvapw2550H
		gen qvapw2550H=RCT_status*qvapw2550
		capture drop qvapw5075
		gen qvapw5075=(qvapw==3 | qvapw==4) `commsamp'
		capture drop qvapw5075H
		gen qvapw5075H=RCT_status*qvapw5075
		capture drop qvapw75100
		gen qvapw75100=(qvapw==4) `commsamp'
		capture drop qvapw75100H
		gen qvapw75100H=RCT_status*qvapw75100

		capture drop qY2550
		gen qY2550=(qY==2 | qY==3 | qY==4) `commsamp'
		capture drop qY2550H
		gen qY2550H=RCT_status*qY2550
		capture drop qY5075
		gen qY5075=(qY==3 | qY==4) `commsamp'
		capture drop qY5075H
		gen qY5075H=RCT_status*qY5075
		capture drop qY75100
		gen qY75100=(qY==4) `commsamp'
		capture drop qY75100H
		gen qY75100H=RCT_status*qY75100

		capture reg exiter${stime`q'}${etime`q'} control `commsamp', robust noconstant
		if _rc==0 {
			matrix controlmean_matrix=get(_b)
			scalar controlmean_scalar=controlmean_matrix[1,1]
			local controlmean_local=scalar(controlmean_scalar)

			foreach f of local heterogen {
				foreach g of local thresh {
					capture drop RCT_statusPerc
					gen RCT_statusPerc=q`f'`g'H
					label variable RCT_statusPerc "Habitat*Percentile"
					capture drop Perc
					gen Perc=q`f'`g'
					label variable Perc "Percentile"
						*b. Run main regression
					capture noisily reg exiter${stime`q'}${etime`q'} RCT_status RCT_statusPerc Perc size_* i.idMUN `commsamp', cluster(IDH_polygon)
					if _rc==0 {
						outreg2 using "TA5 Exit heterogeneity.xls", append label excel dec(3) nor2 nocons cttop(Exiter,${tsector`w'},`f'`g',${stime`q'}-${etime`q'}) keep(RCT_status RCT_statusPerc Perc) adds("Control mean", `controlmean_local')
					}
					drop RCT_statusPerc Perc q`f'`g'H q`f'`g'
				}
			}
		}
	}
}

*Erase txt files (undesired output of outreg2 command, xls files suffice)
**************************************************		
capture erase "TA5 Exit heterogeneity.txt"
