
use ///
	cve_mun IDH_polygon RCT_status survivor* entrant* exiter* sector e17 exists* size_* ///
		ingresos_act_W2* activos_fijos_W2* salarios_W2* ///
		personal_remun2_W2* ///
	if RCT_status!=. ///
using "${insumosdir}\\${mainfile}", clear

egen idMUN=group(cve_mun)
rename IDH_polygon IDH_polygonSTR		//Setting Polygon ID var in numeric
egen IDH_polygon=group(IDH_polygonSTR)		//Setting Polygon ID var in numeric
sum IDH_polygon

gen control=(RCT_status==0) if RCT_status!=.	//Creating control group dummy variable (used to estimate control means)

local varlistA "ingresos_act_W activos_fijos_W salarios_W personal_remun2_W"		//Local with vars for regression

capture erase "TA6 Entrants.txt"
capture erase "TA6 Entrants.xls"

foreach q in 1 3 {
	forv w=1/3 {
		capture scalar drop controlmean_scalar
		capture matrix drop controlmean_matrix
		capture reg entrant${stime`q'}${etime`q'} control if exists${etime`q'}==1 & ${csector`w'}, robust noconstant
		if _rc==0 {
			matrix controlmean_matrix=get(_b)
			scalar controlmean_scalar=controlmean_matrix[1,1]
			local controlmean_local=scalar(controlmean_scalar)
			
			capture noisily reg entrant${stime`q'}${etime`q'} RCT_status size_* i.idMUN if e(sample), cluster(IDH_polygon)
			outreg2 using "TA6 Entrants.xls", append label excel dec(3) nor2 nocons cttop(Entrant,${tsector`w'},${stime`q'}-${etime`q'}) keep(RCT_status) adds("Control mean", `controlmean_local')
		}
	}
}

capture erase "TA6 Entrants.xls"


