
use ///
	cve_mun IDH_polygon RCT_status survivor* entrant* exiter* sector e17 exists* size_* ///
		o521_1r* o521_2r* o531_2r* o531_3r* o531_5r* ///
		own_2008 own_2013 own_2018 ///
	if RCT_status!=. ///
using "${insumosdir}\\${mainfile}", clear

forv i=2008(5)2013 {
	gen loan`i'=max(o521_1r`i',o521_2r`i')
	rename o521_1r`i' source_bank`i'
	rename o521_2r`i' source_caja`i'
	rename o531_2r`i' use_equipment`i'
	rename o531_3r`i' use_capital`i'
	rename o531_5r`i' use_inputs`i'
}

local varlistA "loan source_bank source_caja use_equipment use_capital use_inputs"		//Local with vars for regression

*Erasing possible old output
capture erase "TA7 Bank access by ownwership.txt"
capture erase "TA7 Bank access by ownwership.xls"

foreach q in 1 3 {
	*Set loop for variables to analyse
	foreach z of local varlistA {
		** Loop through sectors
		forv w=1/3 {
			*Calculate polygon level mean at baseline (used as a substitute for variable level at baseline (lag))	
			bys IDH_polygon: egen lagVAR=mean(`z'${stime`q'}) if ${csector`w'} & own_${stime`q'}==1
			label variable lagVAR "meanpolygonbaseline"

			*5. Run ANCOVA regressions for all firms
				*a. Get control mean to later include in regression table
			capture scalar drop controlmean_scalar
			capture matrix drop controlmean_matrix
			capture reg `z'${etime`q'} control if exists${etime`q'}==1 & ${csector`w'} & own_${etime`q'}==1, robust noconstant
			if _rc==0 {
				matrix controlmean_matrix=get(_b)
				scalar controlmean_scalar=controlmean_matrix[1,1]
				local controlmean_local=scalar(controlmean_scalar)

				*b. Run main regression
				capture noisily reg `z'${etime`q'} RCT_status lagVAR size_* i.idMUN if e(sample), cluster(IDH_polygon)
				outreg2 using "TA7 Bank access by ownwership.xls", append label excel dec(3) nocons nor2 cttop(${tsector`w'},${stime`q'}-${etime`q'},Owner) keep(RCT_status) adds("Control mean", `controlmean_local')
			}
			drop lagVAR


			*Calculate polygon level mean at baseline (used as a substitute for variable level at baseline (lag))	
			bys IDH_polygon: egen lagVAR=mean(`z'${stime`q'}) if ${csector`w'} & own_${stime`q'}==0
			label variable lagVAR "meanpolygonbaseline"

			*5. Run ANCOVA regressions for all firms
				*a. Get control mean to later include in regression table
			capture scalar drop controlmean_scalar
			capture matrix drop controlmean_matrix
			capture reg `z'${etime`q'} control if exists${etime`q'}==1 & ${csector`w'} & own_${etime`q'}==0, robust noconstant
			if _rc==0 {
				matrix controlmean_matrix=get(_b)
				scalar controlmean_scalar=controlmean_matrix[1,1]
				local controlmean_local=scalar(controlmean_scalar)

				*b. Run main regression
				capture noisily reg `z'${etime`q'} RCT_status lagVAR size_* i.idMUN if e(sample), cluster(IDH_polygon)
				outreg2 using "TA7 Bank access by ownwership.xls", append label excel dec(3) nocons nor2 cttop(${tsector`w'},${stime`q'}-${etime`q'},Not owner) keep(RCT_status) adds("Control mean", `controlmean_local')
			}
			drop lagVAR
		}
	}
}

*Erase txt files (undesired output of outreg2 command, xls files suffice)
capture erase "TA7 Bank access by ownwership.txt"
**************************************************			
